Get Badge Json
curl --request GET \
--url https://api.limitguard.ai/v1/badge/{entity_id}.jsonimport requests
url = "https://api.limitguard.ai/v1/badge/{entity_id}.json"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.limitguard.ai/v1/badge/{entity_id}.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity_id": "<string>",
"trust_score": 50,
"trust_level": "<string>",
"cluster": "<string>",
"last_verified": "2023-11-07T05:31:56Z",
"sources_checked": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Get Badge Json
Return JSON badge data for entity.
Public endpoint (no auth) with CORS headers.
Args: entity_id: Entity identifier
Returns: BadgeData with trust score and metadata
GET
/
v1
/
badge
/
{entity_id}
.json
Get Badge Json
Path Parameters
Response
Successful Response
Badge data returned by /v1/badge/{entity_id}.json endpoint.
Entity identifier (email, domain, wallet)
Trust score 0-100
Required range:
0 <= x <= 100Trust level (HIGH, MEDIUM, LOW)
Entity cluster classification
Last verification timestamp
Number of sources verified
Required range:
x >= 0